### Method

# Ide TemplateBase add_path

#### Declaration

    void
    ide_template_base_add_path (
      IdeTemplateBase* self,
      const gchar* path,
      GFile* destination,
      TmplScope* scope,
      gint mode
    )

#### Description

No description available.

#### Parameters

`path` | `const gchar*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`destination` | `GFile`
| No description available.
| The data is owned by the caller of the function.
`scope` | `TmplScope`
| No description available.
| The data is owned by the caller of the function.
`mode` | `gint`
| No description available.